# Interface CheckBoxList.Rendering<T, C extends JComponent>

Enclosing class:
  `CheckBoxList<T>`

public static interface CheckBoxList.Rendering<T, C extends JComponent>
Defines the rendering of the contents of a list cell. This is effectively an easier to use replacement for `ListCellRenderer`.

Since:
  13 Mar 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`configureRendererComponent(C component, T item, int index)`
Configures the renderer component's appearance according to the cell index and content.
`C`
`createRendererComponent()`
Creates a component which can be used for cell rendering.

## Method Details

### createRendererComponent

C createRendererComponent()
Creates a component which can be used for cell rendering.

Returns:
  renderer component

### configureRendererComponent

void configureRendererComponent(C component, T item, int index)
Configures the renderer component's appearance according to the cell index and content. This method is called whenever the list cell needs to be painted.

Parameters:
  `component` - renderer component as supplied by this instance
  `item` - list entry
  `index` - index in list at which entry appears